Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Authen/Credential.pm) perl(Config/General.pm) perl(Config/Validator.pm) perl(IO/Socket/INET.pm) perl(List/Util.pm) perl(Messaging/Message.pm) perl(Messaging/Message/Queue.pm) perl(Net/STOMP/Client.pm) perl(No/Worries.pm) perl(No/Worries/Die.pm) perl(No/Worries/File.pm) perl(No/Worries/Log.pm) perl(No/Worries/PidFile.pm) perl(No/Worries/Proc.pm) perl(No/Worries/Syslog.pm) perl(No/Worries/Warn.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Time/HiRes.pm) perl(sigtrap.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		stompclt
Version:	1.6
Release:	alt1_1
Summary:	Versatile STOMP client
License:	GPL+ or Artistic
URL:		https://github.com/cern-mig/%{name}
Source0:	https://github.com/cern-mig/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
Requires:	perl(Net/STOMP/Client.pm) >= 2.0
# the following one is in theory optional but really nice to have everywhere
Requires:	perl(Directory/Queue.pm)
Source44: import.info

%description
stompclt is a versatile tool to interact with messaging brokers speaking
STOMP and/or message queues (see Messaging::Message::Queue) on disk.

It receives messages (see Messaging::Message) from an incoming module,
optionally massaging them (i.e. filtering and/or modifying), and sends
them to an outgoing module. Depending on which modules are used, the tool
can perform different operations.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
rm -fr $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Mar 08 2019 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_8
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_7
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_6
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_5
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_4
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_2
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_1
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_2
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_3
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_2
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_1
- update to new release by fcimport

* Tue Dec 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_1
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_3
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_2
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_1
- initial fc import

